using System.Collections.Generic;
using System.ComponentModel;
using System.Xml.Serialization;

namespace EQIA.EQIDL
{
    public partial class Combobox : Control
    {
        private string myButtonDrawTemplate;
        private int myListHeight;
        private List<string> myChoices;

        [XmlElement("ListHeight", IsNullable = false)]
        [Browsable(true), Description("Max height of this window when it is being pulled down")]
        public int ListHeight { get { return myListHeight; } set { myListHeight = value; } }

        [XmlElement("ButtonDrawTemplate", IsNullable = false)]
        [Browsable(true), Description("Pull-down list button")]
        public string ButtonDrawTemplate { get { return myButtonDrawTemplate; } set { myButtonDrawTemplate = value; } }

        [XmlElement("Choices", IsNullable = false)]
        [Browsable(true), Description("String choices to go into this combobox's pulldown list")]
        public List<string> Choices { get { return myChoices; } set { myChoices = value; } }

        public Combobox() : this(null) { }
        public Combobox(EQInterface eqInterface) : base(eqInterface) { }

        protected override void SetProperties(object obj)
        {
            base.SetProperties(obj);

            Combobox temp_Combobox = obj as Combobox;
            if (temp_Combobox != null)
            {
                ButtonDrawTemplate = temp_Combobox.ButtonDrawTemplate;
                ListHeight = temp_Combobox.ListHeight;
                Choices = temp_Combobox.Choices;
            }
        }
    }
}
